Bug 804439 - [abrt] kernel: BUG: scheduling while atomic: evolution-addre/1603/0x10000002
[abrt] kernel: BUG: scheduling while atomic: evolution-addre/1603/0x10000002
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:68c05e30a03905c61111b25012b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 15:31 EDT by Pavel Šimerda (pavlix)
Modified: 2012-06-27 20:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 20:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Šimerda (pavlix) 2012-03-18 15:31:20 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.0-0.rc7.git0.3.fc17.x86_64 root=/dev/mapper/dragon-fedora17 ro quiet rhgb SYSFONT=True LANG=en_US.UTF-8 KEYTABLE=us
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
reason:         BUG: scheduling while atomic: evolution-addre/1603/0x10000002
time:           Sun 18 Mar 2012 08:30:01 PM CET

backtrace:
:BUG: scheduling while atomic: evolution-addre/1603/0x10000002
:INFO: lockdep is turned off.
:Modules linked in: fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle lockd sunrpc bridge stp llc rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_analog snd_hda_intel btusb snd_hda_codec bluetooth snd_hwdep snd_pcm snd_page_alloc arc4 snd_timer iwl3945 iwlegacy thinkpad_acpi snd mac80211 soundcore cfg80211 e1000e iTCO_wdt iTCO_vendor_support microcode rfkill i2c_i801 vhost_net tun macvtap macvlan kvm_intel kvm uinput sdhci_pci firewire_ohci sdhci firewire_core mmc_core crc_itu_t yenta_socket i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1603, comm: evolution-addre Not tainted 3.3.0-0.rc7.git0.3.fc17.x86_64 #1
:Call Trace:
: [<ffffffff81691d9d>] __schedule_bug+0x80/0x85
: [<ffffffff8169bf6d>] __schedule+0x8dd/0x9a0
: [<ffffffff8109b82a>] __cond_resched+0x2a/0x40
: [<ffffffff8169c0b0>] _cond_resched+0x30/0x40
: [<ffffffff8169b38b>] down_read+0x2b/0x98
: [<ffffffff8107aa14>] exit_signals+0x24/0x130
: [<ffffffff81065b1c>] do_exit+0xdc/0xaa0
: [<ffffffff8106682c>] do_group_exit+0x4c/0xc0
: [<ffffffff8107a486>] get_signal_to_deliver+0x2b6/0x820
: [<ffffffff81019288>] do_signal+0x68/0x7c0
: [<ffffffff810cd47d>] ? trace_hardirqs_on+0xd/0x10
: [<ffffffff816916c2>] ? printk+0x51/0x53
: [<ffffffff811bd2e0>] ? fget_light+0xf0/0x4a0
: [<ffffffff811bd252>] ? fget_light+0x62/0x4a0
: [<ffffffff81019a90>] do_notify_resume+0x90/0xc0
: [<ffffffff8169e43b>] retint_signal+0x4d/0x92
Comment 1 Dave Jones 2012-03-19 11:19:09 EDT
was this after a hibernate ?
Comment 2 Pavel Šimerda (pavlix) 2012-03-20 16:58:59 EDT
I'm not 100% sure but I think this wasn't after hibernate. It may have been after a NM disconnect (that is what I was testing these days), during normal work, or I'm wrong with the hibernation.

But at least some of similar bugs were during normal work.
Comment 3 Dave Jones 2012-06-27 20:38:15 EDT
Reopen if still occurring in 3.4

Note You need to log in before you can comment on or make changes to this bug.